Page MenuHomePhabricator

[AArch64][SVE] Add fixed length codegen for FP_TO_{S,U}INT/{S,U}INT_TO_FP
ClosedPublic

Authored by bsmith on May 19 2021, 7:43 AM.

Diff Detail

Event Timeline

bsmith created this revision.May 19 2021, 7:43 AM
bsmith requested review of this revision.May 19 2021, 7:43 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 19 2021, 7:43 AM
Matt added a subscriber: Matt.May 19 2021, 9:48 AM
bsmith updated this revision to Diff 346694.May 20 2021, 4:12 AM
  • Use existing fixed length extend/truncate codegen rather than duplicating it
bsmith updated this revision to Diff 347036.May 21 2021, 8:02 AM
  • Add tests to check type legalisation
peterwaller-arm accepted this revision.May 24 2021, 3:05 AM

LGTM. Optional nit.

llvm/lib/Target/AArch64/AArch64ISelLowering.cpp
18060

Nit: suggestion: a name like 'CvtOpcode' would be a small readability improvement in use at DAG.getNode().

This revision is now accepted and ready to land.May 24 2021, 3:05 AM
This revision was landed with ongoing or failed builds.May 25 2021, 4:55 AM
This revision was automatically updated to reflect the committed changes.